Loading...
Searching...
No Matches
Gfx::DynamicLight Struct Reference

Dynamic light in 3D scene. More...

`#include <src/graphics/engine/lightman.h>`

## Public Attributes

int | rank
| Rank (index).
bool | used
| Whether the light is used.
bool | enabled
| Whether the light is turned on.
LightPriority | priority
| Priority in assignment.
Light | light
| Configuration of the light.
LightProgression | intensity
| Progression of intensity [0, 1].
LightProgression | colorRed
| Progression of red diffuse color.
LightProgression | colorGreen
| Progression of green diffuse color.
LightProgression | colorBlue
| Progression of blue diffuse color.
EngineObjectType | includeType
| Type of objects included in lighting with this light; if ENG_OBJTYPE_NULL is used, it is ignored.
EngineObjectType | excludeType
| Type of objects excluded from lighting with this light; if ENG_OBJTYPE_NULL is used, it is ignored.

## Detailed Description

Dynamic light in 3D scene.

It is an extension over standard light properties. Added are dynamic progressions for light colors and intensity and types of objects included/excluded in lighting.

## Member Data Documentation

## rank

int Gfx::DynamicLight::rank

Rank (index).

## used

bool Gfx::DynamicLight::used

Whether the light is used.

## enabled

bool Gfx::DynamicLight::enabled

Whether the light is turned on.

## priority

LightPriority Gfx::DynamicLight::priority

Priority in assignment.

## light

Light Gfx::DynamicLight::light

Configuration of the light.

## intensity

LightProgression Gfx::DynamicLight::intensity

Progression of intensity [0, 1].

## colorRed

LightProgression Gfx::DynamicLight::colorRed

Progression of red diffuse color.

## colorGreen

LightProgression Gfx::DynamicLight::colorGreen

Progression of green diffuse color.

## colorBlue

LightProgression Gfx::DynamicLight::colorBlue

Progression of blue diffuse color.

## includeType

EngineObjectType Gfx::DynamicLight::includeType

Type of objects included in lighting with this light; if ENG_OBJTYPE_NULL is used, it is ignored.

## excludeType

EngineObjectType Gfx::DynamicLight::excludeType

Type of objects excluded from lighting with this light; if ENG_OBJTYPE_NULL is used, it is ignored.

The documentation for this struct was generated from the following file:

- src/graphics/engine/lightman.h